aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Jeanson <mjeanson@efficios.com>2016-06-14 15:28:03 -0500
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2016-06-17 20:11:13 +0200
commit7971de1b7f0bbd3fb649d5a0d2ea1615dff78305 (patch)
tree97fb6fe97932182ce97bb200cdc628cad0bcf699
parentf01519d7b118fc1db8a05c3e3f064e7400c28e6e (diff)
downloadaports-7971de1b7f0bbd3fb649d5a0d2ea1615dff78305.tar.gz
aports-7971de1b7f0bbd3fb649d5a0d2ea1615dff78305.tar.bz2
aports-7971de1b7f0bbd3fb649d5a0d2ea1615dff78305.tar.xz
testing/babeltrace: Fix output plugins
abuild adds "-Wl,--as-needed" to LDFLAGS which breaks babeltrace plugin load that uses _init functions to initialize.
-rw-r--r--testing/babeltrace/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/testing/babeltrace/APKBUILD b/testing/babeltrace/APKBUILD
index f3959bdfd0..b7af05a6fc 100644
--- a/testing/babeltrace/APKBUILD
+++ b/testing/babeltrace/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Michael Jeanson <mjeanson@efficios.com>
pkgname=babeltrace
pkgver=1.4.0
-pkgrel=0
+pkgrel=1
pkgdesc="a trace converter and read/write library"
url="https://www.efficios.com/babeltrace"
arch="all"
@@ -18,11 +18,18 @@ builddir="$srcdir/$pkgname-$pkgver"
build() {
cd "$builddir"
+
+ # This package uses _init functions to initialise extensions. With
+ # --as-needed this will not work.
+ export LDFLAGS="$LDFLAGS -Wl,--no-as-needed"
./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
--prefix=/usr \
+ --disable-static \
--disable-debug-info \
|| return 1
- make || return 1
+ make V=1 || return 1
make check || return 1
}